winstd::LocalFree_delete< _Ty > Struct Template Reference
General

Deleter for unique_ptr using LocalFree. More...

`#include <WinStd/Common.h>`

## Public Types

typedef LocalFree_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| LocalFree_delete ()
| Default construct.
template<class _Ty2 >
| LocalFree_delete (const LocalFree_delete< _Ty2 > &)
| Construct from another LocalFree_delete.
void | operator() (_Ty *_Ptr) const
| Delete a pointer. More...

## Detailed Description

template<class _Ty>
struct winstd::LocalFree_delete< _Ty >

Deleter for unique_ptr using LocalFree.

## Member Function Documentation

## operator()()

template<class _Ty >

void winstd::LocalFree_delete< _Ty >::operator() | ( | _Ty * | _Ptr | ) | const

inline

Delete a pointer.

See also
  LocalFree function

The documentation for this struct was generated from the following file:

- include/WinStd/Common.h